JDBC3Test (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class JDBC3Test

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.JDBC3Test

-     public class JDBC3Test
      extends TestBase

  Test for miscellaneous JDBC 3.0 features.
  Version:
    $Id: JDBC3Test.java,v 1.3.2.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    Alin Sinpalean

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC3Test(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testGetParamMetaData()` Test for bug [1222205] getParameterMetaData returns not implemented.
    `void` | `testMultipleResults()` Test return of multiple open result sets from one execute.
    `void` | `testSocketConcurrency5()` Test closing a `ResultSet` when it's out of scope.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBC3Test

          public JDBC3Test(java.lang.String name)

  - ### Method Detail

    - #### testMultipleResults

          public void testMultipleResults()
                                   throws java.lang.Exception

      Test return of multiple open result sets from one execute.
      Throws:
        `java.lang.Exception`

    - #### testSocketConcurrency5

          public void testSocketConcurrency5()
                                      throws java.lang.Exception

      Test closing a `ResultSet` when it's out of scope.

      If a finalize() method which tries to call close() is added to JtdsResultSet the next() calls will be executed concurrently with any other result processing, with no synchronization whatsoever.
      Throws:
        `java.lang.Exception`

    - #### testGetParamMetaData

          public void testGetParamMetaData()
                                    throws java.sql.SQLException

      Test for bug [1222205] getParameterMetaData returns not implemented.
      Throws:
        `java.sql.SQLException`

Generated on June 8 2013